org.eclipse.incquery.runtime.rete.eval

## Class OutputCachingEvaluatorNode

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.network.StandardNode
    - - org.eclipse.incquery.runtime.rete.single.SingleInputNode
      - - org.eclipse.incquery.runtime.rete.eval.AbstractEvaluatorNode
        - - org.eclipse.incquery.runtime.rete.eval.OutputCachingEvaluatorNode

- All Implemented Interfaces:
    Node, Receiver, Supplier, Tunnel, Clearable
  Direct Known Subclasses:
    CachedFunctionEvaluatorNode, CachedPredicateEvaluatorNode

      public abstract class OutputCachingEvaluatorNode
      extends AbstractEvaluatorNode
      implements Clearable

  Author:
    Bergmann Gabor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputCachingEvaluatorNode(ReteContainer reteContainer, org.apache.log4j.Logger logger, IExpressionEvaluator evaluator, java.util.Map<java.lang.String,java.lang.Integer> parameterPositions, int sourceTupleWidth)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all partial matchings stored in memory
    `void` | `pullInto(java.util.Collection<Tuple> collector)` pulls the contents of this object in this particular moment into a target collection
    `void` | `update(Direction direction, Tuple updateElement)` updates the receiver with a newly found or lost partial matching

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.single.SingleInputNode

      `appendParent, assignTraceInfo, getParents, propagatePullInto, removeParent`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.StandardNode

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Supplier

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### OutputCachingEvaluatorNode

          public OutputCachingEvaluatorNode(ReteContainer reteContainer,
                                            org.apache.log4j.Logger logger,
                                            IExpressionEvaluator evaluator,
                                            java.util.Map<java.lang.String,java.lang.Integer> parameterPositions,
                                            int sourceTupleWidth)

  - ### Method Detail

    - #### clear

          public void clear()

      Description copied from interface: `Clearable`
      Clear all partial matchings stored in memory
      Specified by:
        `clear` in interface `Clearable`

    - #### pullInto

          public void pullInto(java.util.Collection<Tuple> collector)

      Description copied from interface: `Supplier`
      pulls the contents of this object in this particular moment into a target collection
      Specified by:
        `pullInto` in interface `Supplier`

    - #### update

          public void update(Direction direction,
                             Tuple updateElement)

      Description copied from interface: `Receiver`
      updates the receiver with a newly found or lost partial matching
      Specified by:
        `update` in interface `Receiver`